export declare const MetricStatistic: {
  readonly AVG: "Avg";
  readonly COUNT: "Count";
  readonly LAST: "Last";
  readonly MAX: "Max";
  readonly MIN: "Min";
  readonly STD_DEV: "StdDev";
};
export type MetricStatistic =
  (typeof MetricStatistic)[keyof typeof MetricStatistic];
export declare const Period: {
  readonly FIVE_MINUTE: "FiveMinute";
  readonly ITERATION_NUMBER: "IterationNumber";
  readonly ONE_HOUR: "OneHour";
  readonly ONE_MINUTE: "OneMinute";
};
export type Period = (typeof Period)[keyof typeof Period];
export declare const XAxisType: {
  readonly ITERATION_NUMBER: "IterationNumber";
  readonly TIMESTAMP: "Timestamp";
};
export type XAxisType = (typeof XAxisType)[keyof typeof XAxisType];
export interface MetricQuery {
  MetricName: string | undefined;
  ResourceArn: string | undefined;
  MetricStat: MetricStatistic | undefined;
  Period: Period | undefined;
  XAxisType: XAxisType | undefined;
  Start?: number;
  End?: number;
}
export interface BatchGetMetricsRequest {
  MetricQueries: MetricQuery[] | undefined;
}
export declare const MetricQueryResultStatus: {
  readonly COMPLETE: "Complete";
  readonly INTERNAL_ERROR: "InternalError";
  readonly TRUNCATED: "Truncated";
  readonly VALIDATION_ERROR: "ValidationError";
};
export type MetricQueryResultStatus =
  (typeof MetricQueryResultStatus)[keyof typeof MetricQueryResultStatus];
export interface MetricQueryResult {
  Status: MetricQueryResultStatus | undefined;
  Message?: string;
  XAxisValues: number[] | undefined;
  MetricValues: number[] | undefined;
}
export interface BatchGetMetricsResponse {
  MetricQueryResults?: MetricQueryResult[];
}
export interface RawMetricData {
  MetricName: string | undefined;
  Timestamp: Date | undefined;
  Step?: number;
  Value: number | undefined;
}
export interface BatchPutMetricsRequest {
  TrialComponentName: string | undefined;
  MetricData: RawMetricData[] | undefined;
}
export declare const PutMetricsErrorCode: {
  readonly CONFLICT_ERROR: "CONFLICT_ERROR";
  readonly INTERNAL_ERROR: "INTERNAL_ERROR";
  readonly METRIC_LIMIT_EXCEEDED: "METRIC_LIMIT_EXCEEDED";
  readonly VALIDATION_ERROR: "VALIDATION_ERROR";
};
export type PutMetricsErrorCode =
  (typeof PutMetricsErrorCode)[keyof typeof PutMetricsErrorCode];
export interface BatchPutMetricsError {
  Code?: PutMetricsErrorCode;
  MetricIndex?: number;
}
export interface BatchPutMetricsResponse {
  Errors?: BatchPutMetricsError[];
}
